Bug 214338 - Must specify RAM size to get kernel to boot
Summary: Must specify RAM size to get kernel to boot
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 6
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
: 214339 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-07 03:53 UTC by Andrew York
Modified: 2008-08-02 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 00:30:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew York 2006-11-07 03:53:43 UTC
Description of problem:
Boot will hang up when either installing or booting after install if I do not 
specify how much RAM I have.


Version-Release number of selected component (if applicable):
2.6.18-1.2798.fc5


How reproducible:
Always

Steps to Reproduce:
1.  Try to boot kernel w/o mem=4G.  Locks up.
  
Actual results:
Boot hangs

Expected results:
Either the install program should run or you should get to login prompt (after 
install)

Additional info:
Pentium Core Duo 2 (~1.66)
4GB RAM
SATA ACHI mode 300GB x 3
Gigabyte GA-965P-DQ6

I must pass "nodmraid mem=4G" to get kerenl to boot cleanly.  This bug is only 
against having to specify RAM size.

Comment 1 Andrew York 2006-11-07 04:04:06 UTC
*** Bug 214339 has been marked as a duplicate of this bug. ***

Comment 2 Zhang Yanmin 2006-11-13 05:14:37 UTC
1) Is kernel 2.6.18-1.2798.fc5 or 2.6.18-1.2798.fc6?

2) From the additional info, it is an i386 machine instead of ia64.





Comment 3 Dan Carpenter 2006-11-13 05:31:22 UTC
Could you post your dmesg using mem=4G.  Also if you have a digital camera,
remove the "quiet" from the kernel cmdline and take a picture of the lockup.

Did this work before 2.6.18-1.2798.fc5 or did it never work?

Comment 4 Andrew York 2006-11-13 16:52:24 UTC
(In reply to comment #2)
> 1) Is kernel 2.6.18-1.2798.fc5 or 2.6.18-1.2798.fc6?
Sorry FC6.  

Linux localhost.localdomain 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:39:22 EDT 
2006 x86_64 x86_64 x86_64 GNU/Linux

> 2) From the additional info, it is an i386 machine instead of ia64.
I guess processor may really be 32-bit, but I'm running 64 bit Linux and Vista 
without a problem. (well other than the one above)




Comment 5 Zhang Yanmin 2006-11-14 01:56:27 UTC
So it's a x86_64 machine, not an Itanium (IA64) machine.

Comment 6 Andrew York 2006-11-15 21:10:32 UTC
Sorry, my mistake. 

Comment 7 Jon Stanley 2007-12-31 22:03:10 UTC
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 8 Jon Stanley 2008-01-08 00:30:42 UTC
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.


Note You need to log in before you can comment on or make changes to this bug.